/*
 * Reverse.cpp
 *
 *  Created on: 7. 11. 2014
 *	  Author: Tomas Pecka
 */

#include "Reverse.h"

namespace automaton {

namespace transform {

automaton::Automaton Reverse::convert(const Automaton& automaton) {
	return dispatch(automaton.getData());
}

auto ReverseDFA = Reverse::RegistratorWrapper<automaton::MultiInitialStateNFA < > , automaton::DFA<>>(Reverse::convert);
auto ReverseNFA = Reverse::RegistratorWrapper<automaton::MultiInitialStateNFA < > , automaton::NFA < > >(Reverse::convert);
auto ReverseMultiInitialStateNFA = Reverse::RegistratorWrapper<automaton::MultiInitialStateNFA < > , automaton::MultiInitialStateNFA < > >(Reverse::convert);

} /* namespace transform */

} /* namespace automaton */

