/*
 * RegExpOptimize.cpp
 *
 *  Created on: 20. 1. 2014
 *	  Author: Tomas Pecka
 */

#include "RegExpOptimize.h"

namespace regexp {

namespace simplify {

regexp::RegExp RegExpOptimize::optimize(const regexp::RegExp& regexp) {
	return dispatch(regexp.getData());
}

auto RegExpOptimizeFormalRegExp = RegExpOptimize::RegistratorWrapper<FormalRegExp < >, FormalRegExp < > >(RegExpOptimize::optimize);
auto RegExpOptimizeUnboundedRegExp = RegExpOptimize::RegistratorWrapper<UnboundedRegExp < >, UnboundedRegExp < > >(RegExpOptimize::optimize);

} /* namespace regexp */

} /* namespace simplify */
