/*
 * RegExpIntegral.cpp
 *
 *  Created on: 24. 2. 2014
 *	  Author: Tomas Pecka
 */

#include "RegExpIntegral.h"

namespace regexp {

regexp::RegExp RegExpIntegral::integral(const regexp::RegExp& regexp, const string::LinearString < >& string) {
	return dispatch(regexp.getData(), string);
}

auto RegExpIntegralFormalRegExp = RegExpIntegral::RegistratorWrapper<regexp::FormalRegExp < >, regexp::FormalRegExp < > > ( RegExpIntegral::integral );
auto RegExpIntegralUnboundedRegExp = RegExpIntegral::RegistratorWrapper<regexp::UnboundedRegExp < >, regexp::UnboundedRegExp < > > ( RegExpIntegral::integral );

} /* namespace regexp */
