/*
 * RandomSubstringFactory.cpp
 *
 *  Created on: 27. 3. 2014
 *	  Author: Jan Travnicek
 */

#include "RandomSubstringFactory.h"

namespace string {

namespace generate {

string::String RandomSubstringFactory::generateSubstring ( size_t size, const string::String & v ) {
	return dispatch ( size, v.getData ( ) );
}

auto RandomSubstringFactoryLinearString = RandomSubstringFactory::RegistratorWrapper < string::LinearString < >, string::LinearString < > > ( RandomSubstringFactory::generateSubstring );

} /* namespace generate */

} /* namespace string */
