/*
 * NormalizeAlphabet.cpp
 *
 *  Created on: Dec 9, 2013
 *	Author: Jan Travnicek
 */

#include "NormalizeAlphabet.h"

#include <map>
#include <vector>
#include <set>

#include "alphabet/Symbol.h"

namespace string {

namespace simplify {

string::String NormalizeAlphabet::normalize(const string::String& string) {
	return dispatch(string.getData());
}

auto NormalizeAlphabetLinearString = NormalizeAlphabet::RegistratorWrapper<string::LinearString < >, string::LinearString < >>(NormalizeAlphabet::normalize);

} /* namespace simplify */

} /* namespace string */
