/*
 * ExactFactorMatch.cpp
 *
 *  Created on: 9. 2. 2014
 *      Author: Jan Travnicek
 */

#include "ExactFactorMatch.h"

namespace stringology {

namespace exact {

std::set < unsigned > ExactFactorMatch::match ( const string::String & subject, const string::String & pattern ) {
	return dispatch ( subject.getData ( ), pattern.getData ( ) );
}

auto ExactFactorMatchLinearString = ExactFactorMatch::RegistratorWrapper < std::set < unsigned >, string::LinearString < > > ( ExactFactorMatch::match );

} /* namespace exact */

} /* namespace stringology */
