/*
 * ReversedBoyerMooreHorspool.cpp
 *
 *  Created on: 5. 11. 2014
 *      Author: Jan Travnicek
 */

#include "ReversedBoyerMooreHorspool.h"

namespace stringology {

namespace exact {

std::set < unsigned > ReversedBoyerMooreHorspool::match ( const string::String & subject, const string::String & pattern ) {
	return dispatch ( subject.getData ( ), pattern.getData ( ) );
}

auto ReversedBoyerMooreHorpoolLinearStringLinearString = ReversedBoyerMooreHorspool::RegistratorWrapper < std::set < unsigned >, string::LinearString < >, string::LinearString < > > ( ReversedBoyerMooreHorspool::match );

} /* namespace exact */

} /* namespace stringology */
