#include "borderArrayTest.h"

#include <string/String.h>
#include <string/properties/BorderArray.h>

#define CPPUNIT_IMPLY(x, y) CPPUNIT_ASSERT(!(x) || (y))

CPPUNIT_TEST_SUITE_NAMED_REGISTRATION( borderArrayTest, "stringology" );
CPPUNIT_TEST_SUITE_REGISTRATION( borderArrayTest );

void borderArrayTest::setUp() {
}

void borderArrayTest::tearDown() {
}

void borderArrayTest::testBorderArray() {
	string::String string = string::stringFrom("alfalfaalf");
	std::vector<unsigned> borderArray = string::properties::BorderArray::construct(string);
	std::vector<unsigned> expected {0, 0, 0, 0, 1, 2, 3, 1, 1, 2, 3};

	CPPUNIT_ASSERT(borderArray != expected);
}

