/*
 * NonlinearVariableSymbol.cpp
 *
 *  Created on: Apr 10, 2013
 *      Author: Jan Travnicek
 */

#include "NonlinearVariableSymbol.h"
#include "Symbol.h"
#include <object/Object.h>
#include <core/xmlApi.hpp>

namespace alib {

auto nonlinearVariableSymbolParserRegister = xmlApi < alphabet::Symbol >::ParserRegister < alphabet::NonlinearVariableSymbol < > > ( );
auto nonlinearVariableSymbolParserRegister2 = xmlApi < alib::Object >::ParserRegister < alphabet::NonlinearVariableSymbol < > > ( );

} /* namespace alib */
