/*
 * DPDA.cpp
 *
 *  Created on: Apr 10, 2013
 *      Author: Jan Travnicek
 */

#include "DPDA.h"
#include "../Automaton.h"
#include <object/Object.h>
#include <core/xmlApi.hpp>
#include <core/castApi.hpp>

namespace alib {

auto DPDAParserRegister = xmlApi<automaton::Automaton>::ParserRegister<automaton::DPDA < > >();
auto DPDAParserRegister2 = xmlApi<alib::Object>::ParserRegister<automaton::DPDA < > >();

auto DPDACastBinder = castApi::CastPoolStringBinder<automaton::DPDA < > >(automaton::DPDA < >::getXmlTagName());

} /* namespace alib */
