/*
 * NPDTA.cpp
 *
 *  Created on: 10. 5. 2016
 *      Author: Jakub Doupal
 */

#include "NPDTA.h"
#include "../Automaton.h"
#include <object/Object.h>
#include <core/xmlApi.hpp>
#include <core/castApi.hpp>

namespace alib {

auto NPDTAParserRegister = xmlApi<automaton::Automaton>::ParserRegister<automaton::NPDTA < > >();
auto NPDTAParserRegister2 = xmlApi<alib::Object>::ParserRegister<automaton::NPDTA < > >();

auto NPDTACastBinder = castApi::CastPoolStringBinder<automaton::NPDTA < > >(automaton::NPDTA < >::getXmlTagName());

} /* namespace alib */
