/*
 * RTEFeatures.h
 *
 *  Created on: Feb 20, 2016
 *      Author: Tomas Pecka
 */


#ifndef RTE_FEATURES_H_
#define RTE_FEATURES_H_

#include <common/DefaultSymbolType.h>
#include <common/DefaultRankType.h>

namespace rte {

enum class FEATURES {
	FORMAL
};

class RTE;
class RTEBase;

template < class SymbolType = DefaultSymbolType, class RankType = DefaultRankType >
class FormalRTE;
template < class SymbolType, class RankType >
class FormalRTEStructure;

template < class SymbolType, class RankType >
class FormalRTEElement;
template < class SymbolType, class RankType >
class FormalRTEAlternation;
template < class SymbolType, class RankType >
class FormalRTEIteration;
template < class SymbolType, class RankType >
class FormalRTESubstitution;
template < class SymbolType, class RankType >
class FormalRTESymbolSubst;
template < class SymbolType, class RankType >
class FormalRTESymbolAlphabet;
template < class SymbolType, class RankType >
class FormalRTEEmpty;

} /* namespace rte */

#endif /* RTE_FEATURES_H_ */
