/*
 * UnrankedTreeWrapper.h
 *
 *  Created on: Nov 16, 2014
 *      Author: Jan Travnicek
 */

#ifndef UNRANKED_TREE_WRAPPER_H_
#define UNRANKED_TREE_WRAPPER_H_

#include <base/WrapperBase.hpp>
#include "UnrankedTreeBase.h"

namespace tree {

/**
 * Wrapper around tree.
 */
class UnrankedTreeWrapper : public alib::WrapperBase < UnrankedTreeBase > {
	using alib::WrapperBase < UnrankedTreeBase >::WrapperBase;

public:
	static const std::string & getXmlTagRefName() {
		static std::string xmlTagName = "UnrankedTreeWrapperRef";

		return xmlTagName;
	}
};

} /* namespace tree */

#endif /* UNRANKED_TREE_WRAPPER_H_ */
