/*
 * ToGrammarLeftRG.cpp
 *
 *  Created on: 8. 3. 2014
 *      Author: Tomas Pecka
 */

#include "ToGrammarLeftRG.h"

namespace grammar {

namespace convert {

grammar::Grammar ToGrammarLeftRG::convert(const grammar::Grammar& grammar) {
	return dispatch(grammar.getData());
}

auto ToGrammarLeftRGRightRG = ToGrammarLeftRG::RegistratorWrapper<grammar::LeftRG < >, grammar::RightRG < > >(ToGrammarLeftRG::convert);

} /* namespace convert */

} /* namespace grammar */
