/*
 * ToGrammarRightRG.cpp
 *
 *  Created on: 8. 3. 2014
 *      Author: Tomas Pecka
 */

#include "ToGrammarRightRG.h"

namespace grammar {

namespace convert {

grammar::Grammar ToGrammarRightRG::convert(const grammar::Grammar& grammar) {
	return dispatch(grammar.getData());
}

auto ToGrammarRightRGLeftRG = ToGrammarRightRG::RegistratorWrapper<grammar::RightRG < >, grammar::LeftRG < > >(ToGrammarRightRG::convert);

} /* namespace convert */

} /* namespace grammar */
