/*
 * ToRegExpAlgebraic.cpp
 *
 *  Created on: 4. 3. 2014
 *	  Author: Tomas Pecka
 */

#include "ToRegExpAlgebraic.h"

namespace grammar {

namespace convert {

regexp::RegExp ToRegExpAlgebraic::convert(const grammar::Grammar& grammar) {
	return dispatch(grammar.getData());
}

auto ToRegExpAlgebraicLeftRG = ToRegExpAlgebraic::RegistratorWrapper<regexp::UnboundedRegExp < >, grammar::LeftRG < > >(ToRegExpAlgebraic::convert);
auto ToRegExpAlgebraicRightRG = ToRegExpAlgebraic::RegistratorWrapper<regexp::UnboundedRegExp < >, grammar::RightRG < > >(ToRegExpAlgebraic::convert);

} /* namespace convert */

} /* namespace grammar */
