/*
 * ReversedBadCharacterShiftTable.cpp
 *
 *  Created on: 5. 11. 2014
 *      Author: Jan Travnicek
 */

#include "ReversedBadCharacterShiftTable.h"

namespace string {

namespace properties {

std::map < DefaultSymbolType, size_t > ReversedBadCharacterShiftTable::bcs ( const string::String & pattern ) {
	return dispatch ( pattern.getData ( ) );
}

auto ReversedBadCharacterShiftTableLinearString = ReversedBadCharacterShiftTable::RegistratorWrapper < std::map < DefaultSymbolType, size_t >, string::LinearString < > > ( ReversedBadCharacterShiftTable::bcs );

} /* namespace properties */

} /* namespace string */
