/*
 * NormalizeRotation.cpp
 *
 *  Created on: 9. 2. 2014
 *      Author: Radomir Polach
 */

#include "NormalizeRotation.h"

#include <string/CyclicString.h>

namespace string {

namespace simplify {

string::String NormalizeRotation::normalize(const string::String& string) {
	return dispatch(string.getData());
}

auto NormalizeRotationCyclicString = NormalizeRotation::RegistratorWrapper<string::CyclicString < >, string::CyclicString < >>(NormalizeRotation::normalize);

} /* namespace simplify */

} /* namespace string */
