/*
 * BoyerMooreHorspool.cpp
 *
 *  Created on: 5. 11. 2014
 *      Author: Radomir Polach, Tomas Pecka
 */

#include "BoyerMooreHorspool.h"

namespace stringology {

namespace exact {

std::set<unsigned> BoyerMooreHorspool::match(const string::String& subject, const string::String& pattern) {
	return dispatch(subject.getData(), pattern.getData());
}

auto BoyerMooreHorpoolLinearStringLinearString = BoyerMooreHorspool::RegistratorWrapper<std::set<unsigned>, string::LinearString < >, string::LinearString < >>(BoyerMooreHorspool::match);

} /* namespace exact */

} /* namespace stringology */
