/*
 * BorderArrayNaive.cpp
 *
 *  Created on: 5. 11. 2014
 *      Author: Radomir Polach, Tomas Pecka, Jan Travnicek
 */

#include "BorderArrayNaive.h"

namespace tree {

namespace properties {

std::vector < size_t > BorderArrayNaive::ba ( const tree::Tree & pattern ) {
	return dispatch ( pattern.getData ( ) );
}

auto BorderArrayPrefixRankedBarPattern = BorderArrayNaive::RegistratorWrapper < std::vector < size_t >, tree::PrefixRankedBarPattern < > > ( BorderArrayNaive::ba );
auto BorderArrayPrefixRankedPattern = BorderArrayNaive::RegistratorWrapper < std::vector < size_t >, tree::PrefixRankedPattern < > > ( BorderArrayNaive::ba );

} /* namespace properties */

} /* namespace tree */
