/*
 * FormalRTE.cpp
 *
 *  Created on: Feb 20, 2016
 *      Author: Tomas Pecka
 */

#include "FormalRTE.h"
#include "../RTE.h"
#include <core/xmlApi.hpp>
#include <core/castApi.hpp>
#include <object/Object.h>

namespace alib {

auto formalRTEParserRegister = xmlApi < rte::RTE >::ParserRegister < rte::FormalRTE < > > ( );
auto formalRTEParserRegister2 = xmlApi < alib::Object >::ParserRegister < rte::FormalRTE < > > ( );

auto FormalRTECastBinder = castApi::CastPoolStringBinder < rte::FormalRTE < > > ( rte::FormalRTE < >::getXmlTagName ( ) );

} /* namespace alib */
