/*
 * RankedPattern.cpp
 *
 *  Created on: Nov 23, 2013
 *      Author: Jan Travnicek
 */

#include "RankedPattern.h"
#include "../Tree.h"
#include "../RankedTreeWrapper.h"
#include <object/Object.h>
#include <core/xmlApi.hpp>
#include <core/castApi.hpp>

namespace alib {

auto rankedPatternParserRegister = xmlApi < ::tree::Tree >::ParserRegister < ::tree::RankedPattern < > > ();
auto rankedPatternParserRegister2 = xmlApi < ::tree::RankedTreeWrapper >::ParserRegister < ::tree::RankedPattern < > > ();
auto rankedPatternParserRegister3 = xmlApi < alib::Object >::ParserRegister < ::tree::RankedPattern < > > ();

auto RankedPatternFromUnrankedPattern = castApi::CastRegister < ::tree::RankedPattern < >, ::tree::UnrankedPattern < > > ( );
auto RankedPatternCastBinder = castApi::CastPoolStringBinder < ::tree::RankedPattern < > > ( ::tree::RankedPattern < >::getXmlTagName() );

} /* namespace alib */
