/*
 * UnrankedPattern.cpp
 *
 *  Created on: Nov 23, 2013
 *      Author: Jan Travnicek
 */

#include "UnrankedPattern.h"
#include "../Tree.h"
#include "../UnrankedTreeWrapper.h"
#include <object/Object.h>
#include <core/xmlApi.hpp>
#include <core/castApi.hpp>

namespace alib {

auto unrankedPatternParserRegister = xmlApi < ::tree::Tree >::ParserRegister < ::tree::UnrankedPattern < > > ( );
auto unrankedPatternParserRegister2 = xmlApi < ::tree::UnrankedTreeWrapper >::ParserRegister < ::tree::UnrankedPattern < > > ( );
auto unrankedPatternParserRegister3 = xmlApi < alib::Object >::ParserRegister < ::tree::UnrankedPattern < > > ( );

auto UnrankedPatternFromRankedPattern = castApi::CastRegister < ::tree::UnrankedPattern < >, ::tree::RankedPattern < > > ( );
auto UnrankedPatternCastBinder = castApi::CastPoolStringBinder < ::tree::UnrankedPattern < > > ( ::tree::UnrankedPattern < >::getXmlTagName() );

} /* namespace alib */
