/*
 * StringApi.hpp
 *
 * Created on: Dec 27, 2014
 * Author: Jan Travnicek
 */

#ifndef STRING_API_HPP_
#define STRING_API_HPP_

#include <iostream>

namespace alib {

template < typename T >
struct stringApi {
	static T parse ( std::istream & input );

	template < class R >
	static T parse ( std::istream & input );

	static void compose ( std::ostream & output, const T & data );
};



} /* namespace alib */

#endif /* STRING_API_HPP_ */
