/*
 * SymbolStringApi.hpp
 *
 * Created on: Oct 12, 2016
 * Author: Jan Travnicek
 */

#ifndef SYMBOL_STRING_API_HPP_
#define SYMBOL_STRING_API_HPP_

#include "../StringApi.hpp"
#include <alphabet/Symbol.h>

namespace alib {

template < >
struct stringApi < alphabet::Symbol > {
	static alphabet::Symbol parse ( std::istream & input );

	template < typename T >
	static alphabet::Symbol parse ( std::istream & input ) {
		return parse ( input );
	}

	static void compose ( std::ostream & output, const alphabet::Symbol & data );
};

} /* namespace alib */

#endif /* STRING_API_HPP_ */
