/*
 * GraphStringApi.cpp
 *
 * Created on: Oct 12, 2016
 * Author: Jan Travnicek
 */

#include "GraphStringApi.hpp"
#include "graph/GraphFromStringParser.h"
#include "graph/GraphToStringComposer.h"

namespace alib {

graph::Graph stringApi < graph::Graph >::parse ( std::istream & input ) {
	return graph::GraphFromStringParser::parseGraph ( input );
}

void stringApi < graph::Graph >::compose ( std::ostream & output, const graph::Graph & data ) {
	return graph::GraphToStringComposer::compose ( output, data );
}

} /* namespace alib */
