/*
 * SizeStat.h
 *
 *  Created on: 20. 9. 2014
 *	  Author: Jan Travnicek
 */

#ifndef SIZE_STAT_H_
#define SIZE_STAT_H_

#include <algorithm>
#include <deque>
#include <set>

#include <core/multipleDispatch.hpp>

#include "container/Container.h"
#include "container/ObjectsSet.h"
#include "label/LabelSetLabel.h"
#include "alphabet/SymbolSetSymbol.h"

class SizeStat : public std::SingleDispatch < SizeStat, void, const container::ContainerBase & > {
public:
	static void stat ( const container::Container & container );
	static void stat ( const container::ObjectsSet < > & set );
	static void stat ( const label::LabelSetLabel & set );
	static void stat ( const alphabet::SymbolSetSymbol & set );
};

#endif /* SIZE_STAT_H_ */
